#include<iostream>
#include<vector>
using namespace std;
vector <int> solve(vector <int> A){
    const int MAXN = 2*1e6;
    const int MAXA = 3*1e7;
    int N = A.size();
    vector <int> ans;
    for(int i = 0; i < N - 1; i ++){
        if(i == N/2){
            ans.push_back(N - 1);
        }
        ans.push_back(i);
    }
    return ans;
}
